> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getBundleStatuses

> 检查提交的 Jito 包的状态。返回确认状态、插槽和交易签名。

返回提交包的状态。如果包尚未着陆或未找到，将返回 `null`。

## 端点

```
POST https://mainnet.helius-rpc.com/?api-key=YOUR_API_KEY
```

## 请求

<ParamField body="jsonrpc" type="string" required>
  `"2.0"`
</ParamField>

<ParamField body="id" type="number" required>
  请求标识符。
</ParamField>

<ParamField body="method" type="string" required>
  `"getBundleStatuses"`
</ParamField>

<ParamField body="params[0]" type="array[string]" required>
  要检查的最多 5 个包 ID 的数组。
</ParamField>

## 请求示例

```bash theme={"system"}
curl "https://mainnet.helius-rpc.com/?api-key=YOUR_API_KEY" \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getBundleStatuses",
    "params": [
      [
        "892b79ed49138bfb3aa5441f0df6e06ef34f9ee8f3976c15b323605bae0cf51d"
      ]
    ]
  }'
```

## 响应

<ResponseField name="result.context.slot" type="number">
  请求被处理的插槽。
</ResponseField>

<ResponseField name="result.value" type="array">
  包状态对象数组。对于未找到的包，返回 `null`。
</ResponseField>

<ResponseField name="result.value[].bundle_id" type="string">
  包 ID。
</ResponseField>

<ResponseField name="result.value[].transactions" type="array[string]">
  包中基于 Base-58 编码的交易签名。
</ResponseField>

<ResponseField name="result.value[].slot" type="number">
  包被处理的插槽。
</ResponseField>

<ResponseField name="result.value[].confirmation_status" type="string">
  `"processed"`, `"confirmed"`, 或 `"finalized"`。
</ResponseField>

<ResponseField name="result.value[].err" type="object">
  错误信息（如果有）。
</ResponseField>

```json theme={"system"}
{
  "jsonrpc": "2.0",
  "result": {
    "context": {
      "slot": 242806119
    },
    "value": [
      {
        "bundle_id": "892b79ed49138bfb3aa5441f0df6e06ef34f9ee8f3976c15b323605bae0cf51d",
        "transactions": [
          "3bC2M9fiACSjkTXZDgeNAuQ4ScTsdKGwR42ytFdhUvikqTmBheUxfsR1fDVsM5ADCMMspuwGkdm1uKbU246x5aE3",
          "8t9hKYEYNbLvNqiSzP96S13XF1C2f1ro271Kdf7bkZ6EpjPLuDff1ywRy4gfaGSTubsM2FeYGDoT64ZwPm1cQUt"
        ],
        "slot": 242804011,
        "confirmation_status": "finalized",
        "err": {
          "Ok": null
        }
      }
    ]
  },
  "id": 1
}
```

## 另见

* [sendBundle](/zh/api-reference/sender/sendbundle) — 提交包
* [通过 Helius 发送 Jito Bundles](/zh/sending-transactions/send-bundle) — 完整指南
